package com.yida.data.school.secondClass.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.yida.data.common.core.entity.school.secondClass.EduSecondClassVenueGuide;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yida.data.school.dto.secondClass.ListVenueGuideDTO;
import com.yida.data.school.vo.secondClass.VenueGuideVO;
import java.util.List;

/**
 * Service接口
 *
 * @author zhanghaijun
 * @date 2022-04-21 10:10:35
 */
public interface EduSecondClassVenueGuideService extends IService<EduSecondClassVenueGuide> {

    /**
     * 分页查询讲解员
     */
    IPage<VenueGuideVO> listGuidePage(ListVenueGuideDTO dto);

    /**
     * 保存讲解员
     * @param guide
     */
    void saveGuide(EduSecondClassVenueGuide guide);

    void changeStatus(Long id,Integer status);

    VenueGuideVO getInfo(Long id);

    void delGuide(Long id);

    /**
     * 查询值班信息的讲解员
     * @param time
     * @param date
     * @param venueId
     * @return
     */
    List<VenueGuideVO> listGuide(String time,Integer date,Long venueId);
}
